Skip to main content
POST
/
api
/
v3
/
messages
/
{messageId}
/
flag
flag a message
curl --request POST \
  --url https://apix.us.amity.co/api/v3/messages/{messageId}/flag \
  --header 'Authorization: Bearer <token>'
{ "messages": [ { "_id": "<string>", "path": "<string>", "messageId": "<string>", "channelId": "<string>", "userId": "<string>", "type": "text", "data": {}, "channelSegment": 123, "parentId": "<string>", "fileId": "<string>", "tags": [ "<string>" ], "metadata": {}, "flagCount": 123, "hashFlag": { "bits": 123, "hashes": 123, "hash": [ "<string>" ] }, "childrenNumber": 123, "reactionsCount": 123, "reactions": {}, "myReactions": [ "<string>" ], "latestReaction": { "referenceId": "<string>", "referenceType": "<string>", "reactionName": "<string>", "userId": "<string>", "userDisplayName": "<string>", "reactionId": "<string>", "eventName": "<string>", "createdAt": "2023-11-07T05:31:56Z" }, "isDeleted": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "editedAt": "2023-11-07T05:31:56Z", "mentionees": [ { "type": "user", "userIds": [ "<string>" ], "userPublicIds": [ "<string>" ], "userInternalIds": [ "<string>" ] } ] } ], "users": [ { "userId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "_id": "<string>", "path": "<string>", "userInternalId": "<string>", "userPublicId": "<string>", "roles": [ "<string>" ], "permissions": [ "MUTE_CHANNEL" ], "displayName": "<string>", "profileHandle": "<string>", "description": "<string>", "avatarFileId": "<string>", "avatarCustomUrl": "<string>", "flagCount": 123, "hashFlag": { "bits": 123, "hashes": 123, "hash": [ "<string>" ] }, "metadata": {}, "isGlobalBan": true, "isBrand": true, "isDeleted": true } ], "files": [ { "fileId": "<string>", "fileUrl": "<string>", "type": "image", "accessType": "public", "altText": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "attributes": { "name": "<string>", "extension": "<string>", "size": 123, "mimeType": "<string>", "metadata": { "exif": {}, "gps": {}, "height": 123, "width": 123, "isFull": true } } } ] }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

messageId
string
required
Maximum string length: 150

Response

Messages Information

messages
object[]
users
object[]
files
object[]